StatusDashboard
Segments

Update segment

Replace a segment's name and tag selection.

View Markdown

PUT /app/segments/{segmentId}

Replaces the full segment definition (name and tagIds). Requires the Segments plan feature and admin role.


Path parameters

ParameterTypeDescription
segmentIduuidSegment to update

Request

See API Basics for required headers.

Body

FieldTypeRequiredDescription
namestringYesSegment name. 1–50 characters. Unique per org (case-insensitive).
tagIdsuuid[]YesExisting tag UUIDs. May be empty ([]). Subject to the organization tagsPerSegment limit.

Sample request

curl -X PUT https://api.statusdashboard.com/app/segments/8f3c2e1a-4b5d-6e7f-8a9b-0c1d2e3f4a5b \
  -H "Authorization: Bearer bcf847abf5c6:def456" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Leadership",
    "tagIds": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"]
  }'

Sample response

Status: 200 OK

{
  "segment": {
    "id": "8f3c2e1a-4b5d-6e7f-8a9b-0c1d2e3f4a5b",
    "name": "Leadership",
    "tagIds": ["a1b2c3d4-e5f6-7890-abcd-ef1234567890"],
    "tags": [
      { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "name": "Executive" }
    ],
    "activeSubscriberCount": 9,
    "createdAt": "2026-06-01T12:00:00.000Z",
    "updatedAt": "2026-06-15T09:30:00.000Z"
  }
}

Error responses

StatusWhen
400Validation error, duplicate name, or unknown tagId.
403Not admin, feature not enabled, or tagsPerSegment limit reached.
404Segment not found.

On this page

We use cookies

We use essential cookies to keep the site working, and optional analytics cookies to understand how it's used. Read our Privacy Policy.